ProtocolResponseHeader
Keywords: com.prolixtech.jaminid.ProtocolResponseHeader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.prolixtech.jaminid
Enum ProtocolResponseHeader

    java.lang.Object
      java.lang.Enum<ProtocolResponseHeader>
          com.prolixtech.jaminid.ProtocolResponseHeader

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProtocolResponseHeader>

    public enum ProtocolResponseHeader

extends java.lang.Enum<ProtocolResponseHeader>

Author:
  Constantinos Michael

Enum Constant Summary
`Accept_Ranges`
`Age`
`Allow`
`Connection`
`Content_Encoding`
`Content_Language`
`Content_Length`
`Content_Location`
`Content_MD5`
`Content_Range`
`Content_Type`
`Date`
`ETag`
`Expires`
`Icy_MetaData`
`Last_Modified`
`Location`
`Proxy_Authenticate`
`Retry_After`
`Server`
`Set_Cookie`
`Vary`
`WWW_Authenticate`

Method Summary
`static ProtocolResponseHeader` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProtocolResponseHeader[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Age

    public static final ProtocolResponseHeader Age

### Location

    public static final ProtocolResponseHeader Location

### Server

    public static final ProtocolResponseHeader Server

### Vary

    public static final ProtocolResponseHeader Vary

### Connection

    public static final ProtocolResponseHeader Connection

### Date

    public static final ProtocolResponseHeader Date

### Accept_Ranges

    public static final ProtocolResponseHeader Accept_Ranges

### Proxy_Authenticate

    public static final ProtocolResponseHeader Proxy_Authenticate

### Retry_After

    public static final ProtocolResponseHeader Retry_After

### WWW_Authenticate

    public static final ProtocolResponseHeader WWW_Authenticate

### Set_Cookie

    public static final ProtocolResponseHeader Set_Cookie

### Allow

    public static final ProtocolResponseHeader Allow

### Expires

    public static final ProtocolResponseHeader Expires

### ETag

    public static final ProtocolResponseHeader ETag

### Content_Type

    public static final ProtocolResponseHeader Content_Type

### Content_Encoding

    public static final ProtocolResponseHeader Content_Encoding

### Content_Language

    public static final ProtocolResponseHeader Content_Language

### Content_Length

    public static final ProtocolResponseHeader Content_Length

### Content_Location

    public static final ProtocolResponseHeader Content_Location

### Content_MD5

    public static final ProtocolResponseHeader Content_MD5

### Content_Range

    public static final ProtocolResponseHeader Content_Range

### Last_Modified

    public static final ProtocolResponseHeader Last_Modified

### Icy_MetaData

    public static final ProtocolResponseHeader Icy_MetaData

Method Detail

### values

    public static final ProtocolResponseHeader[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ProtocolResponseHeader c : ProtocolResponseHeader.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ProtocolResponseHeader valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD